# 3. Užklausa: gauti „PalydoviniaiVaizdai“

Gaukite „SatelliteImages“ su nustatytu debesų slenksčiu „Field“.

Patarimai:&#x20;

* Skaityti visas „Farms“, prieinamas „User“ - pašalinti *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Panašus darbas su „Fields“, „SatelliteImages“, „VectorAnalysisMap“.
* Leidžiama `geoMapType` filtruoti su priimtinais reikšmėmis: `VISI`, `ORIGIN`, `CROPPED`, `RAW`, `APDOROTA`, `MINIATIŪRA`, `KONTRASTAS`
* Leidžiami su datomis susiję filtrai: `prieš` ir `po` kurie priklauso [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) formatas. Galima naudoti tik vieną iš filtrų. Daugiau informacijos yra [ČIA](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/37.-uzklausa-gauti-palydoviniusvaizdus-nurodytame-intervale.md).
* Leidžiama `provider` filtruoti su priimtinais reikšmėmis: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Leidžiama `slenkstis` filtras paryškina debesuotumą: „1“ reiškia be debesų, „0“ - visiškai debesuota.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    pavadinimas
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      pavadinimas
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        }
        
        rekomenduojamaDaugiameteiAnalitikai 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      pavadinimas
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        } 
        
        rekomenduojamaDaugiameteiAnalitikai
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/3.-uzklausa-gauti-palydoviniaivaizdai.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
